using System;
using System.Threading;

namespace Replikanto.Communicator
{
	public static class NT7NetworkFactory
	{
		internal static NetworkBroker Create()
		{
			Delegate625.smethod_0(NT7NetworkFactory.semaphoreSlim_0, Delegate625.delegate625_0);
			try
			{
				if (NT7NetworkFactory.networkBroker_0 == null)
				{
					NT7NetworkFactory.networkBroker_0 = new NetworkBroker("127.0.0.1", "replikanto");
				}
			}
			finally
			{
				Delegate626.smethod_0(NT7NetworkFactory.semaphoreSlim_0, Delegate626.delegate626_0);
			}
			return NT7NetworkFactory.networkBroker_0;
		}

		internal static object smethod_0(int int_0)
		{
			return Class10.smethod_17(int_0);
		}

		internal static void smethod_1()
		{
		}

		internal static void smethod_2()
		{
		}

		internal static void smethod_3()
		{
		}

		private static SemaphoreSlim semaphoreSlim_0 = new SemaphoreSlim(1, 1);

		private static NetworkBroker networkBroker_0;
	}
}
